Bug 2266335 - POSTIN scriptlet dbus-common
Summary: POSTIN scriptlet dbus-common
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: 40
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Martin Osvald 🛹
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: BetaBlocker, F40BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2024-02-27 16:21 UTC by Martin Osvald 🛹
Modified: 2024-04-08 16:05 UTC (History)
42 users (show)

Fixed In Version: cyrus-imapd-3.8.1-10.fc41 cyrus-imapd-3.8.1-10.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2244744
Environment:
Last Closed: 2024-03-01 18:13:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Osvald 🛹 2024-02-27 16:21:45 UTC
+++ This bug was initially created as a clone of Bug #2244744 +++

Description of problem:
Install of .iso files Fedora-Everything-netinst-x86_64-Rawhide-20231015.n.0.iso.

Version-Release number of selected component (if applicable):
Multiple versions for the past week all fail with this scriptlet error message.

How reproducible:
All for "KDE work station"

Steps to Reproduce:
1.
2.
3.

Actual results:
Failure

Expected results:
Success

Additional info:

For the past week I have seen this failure. Here's the latest failure "Fedora-Everything-netinst-x86_64-Rawhide-20231015.n.0.iso". Starting with 20231009, ALL fail in VirtualBox.

--- Additional comment from Aoife Moloney on 2024-02-15 23:59:39 CET ---

This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

--- Additional comment from Ian Laurie on 2024-02-18 04:32:14 CET ---

Same issue here trying to install Xfce with dev tools from the "Everything" ISO.  The following images failed for me:

Fedora-Everything-netinst-x86_64-40-20240215.n.1.iso  
Fedora-Everything-netinst-x86_64-40-20240217.n.0.iso

Fedora-Everything-netinst-x86_64-Rawhide-20240216.n.0.iso

The exact error was:

===
The following error occurred while installing the payload.  This is a
fatal error and the installation will be aborted.

An error occurred during the transaction: Error in POSTIN scriptlet in
rpm package dbus-common
===

In my case I was also installing into a VirtualBox VM.

--- Additional comment from Ian Laurie on 2024-02-19 00:38:13 CET ---

I can confirm the exact same error happens when installing the above ISO on a Windows 10 hosted VirtualBox, so that pretty much eliminates host OS/kernel compatibility issues.  To be clear, the Linux host in my Comment#2 was Fedora 39, and in both cases VirtualBox is 7.0.14.

Currently the only work around I know of is to install Fedora 39 (which works) and do an in-place upgrade to 40 (which also works).

--- Additional comment from Ian Laurie on 2024-02-19 23:44:47 CET ---

FWIW UEFI (secure boot disabled though) installs fail with the same error.

--- Additional comment from Ian Laurie on 2024-02-20 06:28:17 CET ---

Apparently the Xfce Live images will install.  I booted and installed to HD the following images into a VirtualBox VM:

Fedora-Xfce-Live-x86_64-40-20240219.n.0.iso
Fedora-Xfce-Live-x86_64-Rawhide-20240219.n.0.iso

This is a more viable workaround than installing 39 then upgrading.

This doesn't prove anything, but it makes this less likely to be a VirtualBox problem and more likely to be a compose issue with the "Everything" ISO images, both Rawhide and Fedora 40 beta branch (not necessarily a dbus-common issue though).

--- Additional comment from Adam Williamson on 2024-02-20 18:33:16 CET ---

It doesn't really mean that. The difference is that live image installs perform no package transactions. They just, more or less, dump the live image onto the target disk.

An install from the network install images actually downloads RPMs and performs a package transaction, and it's during this that you're hitting the problem. It's natural the same would not happen on a live install.

--- Additional comment from Adam Williamson on 2024-02-20 18:37:03 CET ---

This seems pretty mysterious, honestly. dbus-common 's %post is just this:

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then 
    # Initial installation 
    /usr/lib/systemd/systemd-update-helper install-system-units dbus.socket || : 
fi 


 
if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then 
    # Initial installation 
    /usr/lib/systemd/systemd-update-helper install-user-units dbus.socket || : 
fi

that's a couple of simple condition checks, and a couple of commands that end `|| :`, which is the Fedora recommended style for "exit 0 regardless of what the 'real' command did". It's hard to see how those could be doing anything wrong.

Can you get the output of `journalctl` from the installer env after the failure, and also /tmp/*log ?

--- Additional comment from Ian Laurie on 2024-02-20 23:57:15 CET ---

Failed Xfce install logs from Fedora-Everything-netinst-x86_64-40-20240219.n.0.iso

--- Additional comment from Ian Laurie on 2024-02-20 23:58:59 CET ---

OK I used the image Fedora-Everything-netinst-x86_64-40-20240219.n.0.iso for this.

I got the logs off the system through the console on CTL+ALT+F5 and mounting an external USB device (flash drive) to /home.

# journalctl > /home/journalctl.log
# cp /tmp/*log /home

--- Additional comment from Adam Williamson on 2024-02-21 02:12:36 CET ---

Hmm, this is weird.

INFO:anaconda.modules.payloads.payload.dnf.transaction_progress:Installed: bash-5.2.26-3.fc40.x86_64 1707490454 156e073308cb28a5a699d6ffafc71cbd28487628fd05471e1978e4b9a5c7a802
INFO:anaconda.modules.payloads.payload.dnf.transaction_progress:Configuring (running scriptlet for): bash-5.2.26-3.fc40.x86_64 1707490454 156e073308cb28a5a699d6ffafc71cbd28487628fd05471e1978e4b9a5c7a802
INFO:anaconda.modules.payloads.payload.dnf.transaction_progress:Installed: dbus-common-1:1.14.10-3.fc40.noarch 1706087027 81bade4072aca4f5d22be29a916d9d0cfc9262a6c5d92ddfe750f7b8bf03f7c9
INFO:anaconda.modules.payloads.payload.dnf.transaction_progress:Configuring (running scriptlet for): dbus-common-1:1.14.10-3.fc40.noarch 1706087027 81bade4072aca4f5d22be29a916d9d0cfc9262a6c5d92ddfe750f7b8bf03f7c9
INFO:dnf.rpm:error: failed to exec scriptlet interpreter /bin/sh: No such file or directory

so we install bash, then we install dbus-common and run dbus-common's %post scriptlet, which calls /bin/sh , which isn't there. That seems pretty odd. There are actually several subsequent errors too:

ERROR:anaconda.modules.payloads.payload.dnf.transaction_progress:Error in POSTIN scriptlet in rpm package dbus-common
INFO:dnf.rpm:error: lua script failed: [string "%prein(authselect-libs-1.5.0-3.fc40.x86_64)"]:9: attempt to index a nil value (global 'f')

ERROR:dnf.rpm:Error in PREIN scriptlet in rpm package authselect-libs
INFO:dnf.rpm:error: authselect-libs-1.5.0-3.fc40.x86_64: install failed

INFO:dnf.rpm:error: failed to exec scriptlet interpreter /bin/sh: No such file or directory
warning: %post(hostname-3.23-12.fc40.x86_64) scriptlet failed, exit status 127

ERROR:dnf.rpm:Error in POSTIN scriptlet in rpm package hostname
INFO:dnf.rpm:error: failed to exec scriptlet interpreter /bin/sh: No such file or directory
warning: %post(p11-kit-trust-0.25.3-4.fc40.x86_64) scriptlet failed, exit status 127

ERROR:dnf.rpm:Error in POSTIN scriptlet in rpm package p11-kit-trust
INFO:dnf.rpm:error: failed to exec scriptlet interpreter /bin/sh: No such file or directory
error: %prein(ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch) scriptlet failed, exit status 127

ERROR:dnf.rpm:Error in PREIN scriptlet in rpm package ca-certificates
INFO:dnf.rpm:error: ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch: install failed

INFO:dnf.rpm:touch: cannot touch '/var/lib/rpm-state/systemd-resolved.initial-installation': No such file or directory

it almost seems like writing to the filesystem just is not happening correctly, or something.

--- Additional comment from Adam Williamson on 2024-02-21 02:13:32 CET ---

Definitely not dbus' fault, anyway.

--- Additional comment from Orion Poplawski on 2024-02-23 05:12:20 CET ---

Failing for me with a kickstart install to libvirt kvm VM on EL7 host.  Is dnf trying some strange parallel install stuff?  rpm not fsyncing after the bash install? i.e. could /bin/sh really not be (briefly) present when the dbus-common scriptlet is run?

--- Additional comment from Orion Poplawski on 2024-02-23 06:02:03 CET ---

Well, it seems like /bin/sh should have existed:

  File: /mnt/sysroot/bin/sh -> bash
  Size: 4               Blocks: 0          IO Block: 4096   symbolic link
Device: 8,3     Inode: 531520      Links: 1
Access: (0777/lrwxrwxrwx)  Uid: (    0/    root)   Gid: (    0/    root)
Context: system_u:object_r:bin_t:s0
Access: 2024-02-23 04:45:11.765996322 +0000
Modify: 2024-02-09 00:00:00.000000000 +0000
Change: 2024-02-23 04:45:11.141000818 +0000
 Birth: 2024-02-23 04:45:10.559005004 +0000

And then from the strace output:

3388  04:45:11.141877 renameat(38, "sh;65d82231", 38, "sh" <unfinished ...>

is when the rpm file is moved into place.

and this is when it fails to execute:

3436  04:45:11.826490 execve("/bin/sh", ["/bin/sh", "/var/tmp/rpm-tmp.WZQROB", "1"], 0x7ffcab5d6f68 /* 31 vars */ <unfinished ...>
3436  04:45:11.829394 <... execve resumed>) = -1 ENOENT (No such file or directory)

I've attached the full strace logs that was started during the transaction setup phase in case anyone else has some good ideas of what to look for.

--- Additional comment from Orion Poplawski on 2024-02-23 06:11:34 CET ---

Just to confirm the chroot order:

3388  04:45:11.680774 chroot("/mnt/sysroot/" <unfinished ...>
3388  04:45:11.680923 <... chroot resumed>) = 0
3388  04:45:11.762106 <... clone resumed>, child_tidptr=0x7f7245a00990) = 3436
3436  04:45:11.763495 <... getpid resumed>) = 3436
3388  04:45:11.848989 <... wait4 resumed>[{WIFEXITED(s) && WEXITSTATUS(s) == 127}], 0, NULL) = 3436
3388  04:45:11.860979 chroot("." <unfinished ...>

--- Additional comment from Orion Poplawski on 2024-02-23 06:32:13 CET ---

So this is odd - I think in a previous install attempt the chroot succeeded but now it is failing with essentially the same error.  /bin/bash is clearly there but the chroot fails saying it doesn't exist.

Above is the strace output from another chroot attempt.

--- Additional comment from Orion Poplawski on 2024-02-23 06:49:13 CET ---

I think the problem is that glibc hasn't been installed yet as so no /lib64/ld-linux-x86_64.so.2 and libc.so.6.

I'm guessing we have some kind of new circular dependency that dnf/rpm is breaking in an unworkable order.

--- Additional comment from Orion Poplawski on 2024-02-23 06:51:59 CET ---

Assigning to rpm to start bringing in some other perspectives.

--- Additional comment from Adam Williamson on 2024-02-23 16:55:29 CET ---

Orion: what does the package list in your kickstart look like?

--- Additional comment from Orion Poplawski on 2024-02-23 19:23:19 CET ---

Here's my %packages section

--- Additional comment from Orion Poplawski on 2024-02-26 05:47:20 CET ---

Is there a way to modify the dnf.conf that anaconda uses to add some debug options?

--- Additional comment from Panu Matilainen on 2024-02-26 08:14:47 CET ---

Yes, someone/something has introduced a dependency loop which blew up the delicate early bootstrap package set.

The best method for dealing with these is to find out a cut-off date where the breakage started, diff up the package set and look the new dependencies introduced. If that's not possible...

Rpm can output details with --deploops switch, but I don't know if there's any way to do that from current anaconda (it should be the default there too really). What I do is feed the package set into dnf download and then 'rpm -U --deploops --root /srv/test *.rpm'. It wont pinpoint the problem in any convenient way but it'll reduce the package set you need to look at a bit.

--- Additional comment from  on 2024-02-26 11:20:34 CET ---

Not sure if this helps but during my tests, I found that including fail2ban and its related packages (fail2ban-firewalld, fail2ban-selinux,fail2ban-sendmail, fail2ban-server) resulted in the same error
However, when I removed fail2ban, the issue was no longer present.

Package difference between good and bad build is 9 packages.
+fail2ban-1.0.2-12.fc40.noarch.rpm
+fail2ban-firewalld-1.0.2-12.fc40.noarch.rpm
+fail2ban-selinux-1.0.2-12.fc40.noarch.rpm
+fail2ban-sendmail-1.0.2-12.fc40.noarch.rpm
+fail2ban-server-1.0.2-12.fc40.noarch.rpm
+openssl-3.2.1-2.fc40.x86_64.rpm
+postfix-3.8.5-3.fc40.x86_64.rpm
+python3-pyasynchat-1.0.2-3.fc40.noarch.rpm
+python3-pyasyncore-1.0.2-3.fc40.noarch.rpm

Installing the other packages I do not see the problem
+openssl-3.2.1-2.fc40.x86_64.rpm
+postfix-3.8.5-3.fc40.x86_64.rpm
+python3-pyasynchat-1.0.2-3.fc40.noarch.rpm
+python3-pyasyncore-1.0.2-3.fc40.noarch.rpm

Not saying that fail2ban is the cause here, just I can reproduce the problem with it included in my package list.

--- Additional comment from  on 2024-02-26 12:26:49 CET ---

I am using the default template from the latest rawhide.
Add fail2ban fail, remove fail2ban succeeds.

%packages
@^workstation-product-environment
@anaconda-tools
aajohan-comfortaa-fonts
anaconda
anaconda-install-env-deps
anaconda-live
anaconda-webui
dracut-live
glibc-all-langpacks
gnome-initial-setup
kernel
kernel-modules
kernel-modules-extra
livesys-scripts
fail2ban
-@dial-up
-@input-methods
-@standard
-device-mapper-multipath
-fcoe-utils
-gfs2-utils
-reiserfs-utils
-sdubby
%end

--- Additional comment from  on 2024-02-26 14:01:28 CET ---

It appears that if I make sure that postfix is not installed, then the issue does not occur. I can build my custom image.

--- Additional comment from Panu Matilainen on 2024-02-26 15:08:49 CET ---

Okay this appears to be reproducable with just:
# dnf -y --releasever=40 --installroot=/srv/test install postfix

This is what rpm has to say about it:

warning: 1 Strongly Connected Components
warning: SCC #1: 105 members (20 external dependencies)
warning: 	xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	rpm-libs-4.19.1.1-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> sqlite-libs-3.45.1-2.fc40.x86_64
warning: 		-> rpm-sequoia-1.6.0-2.fc40.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lua-libs-5.4.6-5.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	rpm-4.19.1.1-1.fc40.x86_64
warning: 		=> sed-4.9-1.fc40.x86_64
warning: 		-> rpm-libs-4.19.1.1-1.fc40.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libarchive-3.7.2-3.fc40.x86_64
warning: 		=> findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> curl-8.6.0-7.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	policycoreutils-3.6-3.fc40.x86_64
warning: 		-> util-linux-2.40-0.9.rc1.fc40.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> rpm-4.19.1.1-1.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libsemanage-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libselinux-utils-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> grep-3.11-7.fc40.x86_64
warning: 		-> gawk-5.3.0-3.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	postfix-2:3.8.5-3.fc40.x86_64
warning: 		=> systemd-255.3-1.fc40.x86_64
warning: 		-> policycoreutils-3.6-3.fc40.x86_64
warning: 		-> cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> libicu-74.2-1.fc40.x86_64
warning: 		-> libdb-5.3.28-61.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		=> hostname-3.23-12.fc40.x86_64
warning: 		-> findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		=> alternatives-1.26-3.fc40.x86_64
warning: 		=> openssl-1:3.2.1-2.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	filesystem-3.18-8.fc40.x86_64
warning: 		-> postfix-2:3.8.5-3.fc40.x86_64
warning: 		=> setup-2.14.5-2.fc40.noarch
warning: 	gawk-5.3.0-3.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> mpfr-4.2.1-3.fc40.x86_64
warning: 		-> gmp-1:6.2.1-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> libverto-0.3.2-8.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> keyutils-libs-1.6.3-3.fc40.x86_64
warning: 		-> gawk-5.3.0-3.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 	libssh-0.10.6-4.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libcurl-8.6.0-7.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libssh-0.10.6-4.fc40.x86_64
warning: 		-> libpsl-0.21.5-3.fc40.x86_64
warning: 		-> libnghttp2-1.59.0-2.fc40.x86_64
warning: 		-> openldap-2.6.7-1.fc40.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libbrotli-1.1.0-3.fc40.x86_64
warning: 	curl-8.6.0-7.fc40.x86_64
warning: 		-> libcurl-8.6.0-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	pam-1.6.0-2.fc40.x86_64
warning: 		-> setup-2.14.5-2.fc40.noarch
warning: 		-> libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> gdbm-1:1.23-6.fc40.x86_64
warning: 		-> authselect-1.5.0-4.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	util-linux-2.40-0.9.rc1.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> util-linux-core-2.40-0.9.rc1.fc40.x86_64
warning: 		-> pam-1.6.0-2.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libutempter-1.2.1-13.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libsmartcols-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libfdisk-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> authselect-libs-1.5.0-4.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	systemd-255.3-1.fc40.x86_64
warning: 		-> libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		-> systemd-pam-255.3-1.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libseccomp-2.5.3-8.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> kmod-libs-31-5.fc40.x86_64
warning: 		-> libfdisk-2.40-0.9.rc1.fc40.x86_64
warning: 		=> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		=> grep-3.11-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> dbus-1:1.14.10-3.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 		-> util-linux-2.40-0.9.rc1.fc40.x86_64
warning: 		-> util-linux-core-2.40-0.9.rc1.fc40.x86_64
warning: 	authselect-libs-1.5.0-4.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 	authselect-1.5.0-4.fc40.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> authselect-libs-1.5.0-4.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	systemd-pam-255.3-1.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libutempter-1.2.1-13.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		=> shadow-utils-2:4.15.0rc2-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	fedora-gpg-keys-40-0.3.noarch
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 	fedora-repos-40-0.3.noarch
warning: 		-> fedora-release-40-0.34.noarch
warning: 		-> fedora-gpg-keys-40-0.3.noarch
warning: 	fedora-release-common-40-0.34.noarch
warning: 		-> fedora-repos-40-0.3.noarch
warning: 		-> fedora-release-40-0.34.noarch
warning: 	fedora-release-40-0.34.noarch
warning: 		-> fedora-release-common-40-0.34.noarch
warning: 	setup-2.14.5-2.fc40.noarch
warning: 		-> fedora-release-40-0.34.noarch
warning: 	shadow-utils-2:4.15.0rc2-1.fc40.x86_64
warning: 		-> setup-2.14.5-2.fc40.noarch
warning: 		-> libsemanage-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	dbus-broker-35-4.fc40.x86_64
warning: 		=> shadow-utils-2:4.15.0rc2-1.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> expat-2.6.0-1.fc40.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> dbus-common-1:1.14.10-3.fc40.noarch
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	dbus-1:1.14.10-3.fc40.x86_64
warning: 		-> dbus-broker-35-4.fc40.x86_64
warning: 	basesystem-11-20.fc40.noarch
warning: 		=> setup-2.14.5-2.fc40.noarch
warning: 		=> filesystem-3.18-8.fc40.x86_64
warning: 	glibc-2.39-2.fc40.x86_64
warning: 		-> glibc-minimal-langpack-2.39-2.fc40.x86_64
warning: 		-> glibc-common-2.39-2.fc40.x86_64
warning: 		=> basesystem-11-20.fc40.noarch
warning: 	gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	gdbm-1:1.23-6.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 	cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	openldap-2.6.7-1.fc40.x86_64
warning: 		-> cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> libtool-ltdl-2.4.7-10.fc40.x86_64
warning: 		-> libevent-2.1.12-12.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libunistring-1.1-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libidn2-2.3.7-1.fc40.x86_64
warning: 		-> libunistring-1.1-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libpsl-0.21.5-3.fc40.x86_64
warning: 		-> libunistring-1.1-7.fc40.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	cracklib-2.9.11-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> gzip-1.13-1.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> cracklib-2.9.11-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	grep-3.11-7.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch
warning: 		=> sed-4.9-1.fc40.x86_64
warning: 		=> p11-kit-trust-0.25.3-4.fc40.x86_64
warning: 		=> p11-kit-0.25.3-4.fc40.x86_64
warning: 		=> grep-3.11-7.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch
warning: 	libevent-2.1.12-12.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	kmod-libs-31-5.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	rpm-sequoia-1.6.0-2.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	openssl-1:3.2.1-2.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	coreutils-9.4-6.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> gmp-1:6.2.1-8.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	gzip-1.13-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	libarchive-3.7.2-3.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libxml2-2.12.5-1.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	libeconf-0.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	libcap-2.69-3.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	util-linux-core-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libsmartcols-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 	readline-8.2-8.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	expat-2.6.0-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libmount-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 	libfdisk-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libblkid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	gmp-1:6.2.1-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	mpfr-4.2.1-3.fc40.x86_64
warning: 		-> gmp-1:6.2.1-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	sed-4.9-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	libsepol-3.6-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libselinux-utils-3.6-4.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libsemanage-3.6-3.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	libselinux-3.6-4.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	alternatives-1.26-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	p11-kit-trust-0.25.3-4.fc40.x86_64
warning: 		-> libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> p11-kit-0.25.3-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		=> alternatives-1.26-3.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	libacl-2.3.2-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 	libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	audit-libs-4.0-8.fc40.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libseccomp-2.5.3-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libxml2-2.12.5-1.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	sqlite-libs-3.45.1-2.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libattr-2.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	bash-5.2.26-3.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 	dbus-common-1:1.14.10-3.fc40.noarch
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	hostname-3.23-12.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	glibc-common-2.39-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	glibc-minimal-langpack-2.39-2.fc40.x86_64
warning: 		-> glibc-common-2.39-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libverto-0.3.2-8.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libnghttp2-1.59.0-2.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libffi-3.4.4-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	p11-kit-0.25.3-4.fc40.x86_64
warning: 		-> libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> libffi-3.4.4-7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libzstd-1.5.5-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	lua-libs-5.4.6-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libicu-74.2-1.fc40.x86_64
warning: 		-> libstdc++-14.0.1-0.7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libstdc++-14.0.1-0.7.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	keyutils-libs-1.6.3-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libsmartcols-2.40-0.9.rc1.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	diffutils-3.10-5.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libdb-5.3.28-61.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libtool-ltdl-2.4.7-10.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64
warning: 	libbrotli-1.1.0-3.fc40.x86_64
warning: 		-> glibc-2.39-2.fc40.x86_64

--- Additional comment from Panu Matilainen on 2024-02-26 15:28:24 CET ---

And here's the smoking gun:

warning: 	filesystem-3.18-8.fc40.x86_64
warning: 		-> postfix-2:3.8.5-3.fc40.x86_64

There is no such literal dependency in filesystem of course, but...

%attr(775,root,mail) /var/spool/mail
               ^^^^

...which now turns into a dependency:

# repoquery -q --disablerepo="*" --enablerepo=fedora --releasever=40 --recommends filesystem
group(mail)

# repoquery -q --disablerepo="*" --enablerepo=fedora --releasever=40 --whatprovides "group(mail)"
cyrus-imapd-0:3.8.1-8.fc40.x86_64
postfix-2:3.8.5-3.fc40.x86_64
setup-0:2.14.5-2.fc40.noarch

The "mail" group must be present before filesystem can be properly installed. It's normally satisfied by setup, which is okay. But for some reason it resolves to postfix when it happens to be around. The same exact issue is reproducable with cyrus-imapd, for the same reason.

This is like any dependency with multiple providers: random things happen at inconvenient times. There can really only be one provider for users and groups.

--- Additional comment from Panu Matilainen on 2024-02-26 16:18:00 CET ---

Hmm, probably the reason why it ends up picking either of those two over the setup packages is that rpm's dependency resolution is tuned to favor native arch packages. That's what you want for choosing between i386 and x86_64 packages for example, but for this particular case a better result would probably achieved by favoring fewer dependencies.

So it's possible some other algorithm could behave better, but between multiple equal providers it's always a lottery in the end.

--- Additional comment from Orion Poplawski on 2024-02-27 03:27:22 CET ---

Is there every a reason one would not want to pull in the setup package?  It seems that the easiest would be for postfix and cyrus-imapd to stop providing group(mail) and just depend on setup for that.  I suppose some kind of container case?

--- Additional comment from Panu Matilainen on 2024-02-27 07:55:57 CET ---

Setup is a mandatory package, always been. It's a hard dependency of the filesystem package.

It seems that both those packages only added the mail group sometime last year. In both cases it's a locally maintained sysusers file so dropping it is really easy, and the right thing to do.

--- Additional comment from Petr Pisar on 2024-02-27 11:03:55 CET ---

Why does postfix provide "group(mail)"? 

"%attr(775,root,mail) /var/spool/mail" should turn into "Requires: group(mail)". Not a Provides.

According to guidelines "group(mail)" is statically allocated by "setup" <https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_list_of_statically_allocated_uidgid_and_corresponding_package>.

--- Additional comment from Panu Matilainen on 2024-02-27 11:09:35 CET ---

As I said in my previous comment:

> In both cases it's a locally maintained sysusers file so dropping it is really easy, and the right thing to do.

[pmatilai🎩︎localhost postfix]$ cat postfix.sysusers
u postfix 89 - /var/spool/postfix /sbin/nologin
g postdrop 90
g mail 12
m postfix mail

[pmatilai🎩︎localhost cyrus-imapd]$ cat cyrus-imapd.sysusers
#Type Name     ID             GECOS                 Home directory Shell
g     saslauth 76
g     mail     12
u     cyrus    76:mail        "Cyrus IMAP Server"   /var/lib/imap  /sbin/nologin
m     cyrus    saslauth

As to why these have been added, I don't know. But good point on the static allocations, then it's really just a simple bug in both packages and this should assigned to one and cloned for the other.

--- Additional comment from František Zatloukal on 2024-02-27 11:44:42 CET ---

Discussed during the 2024-02-26 blocker review meeting: [1]

The decision to classify this bug as a AcceptedBlocker (Beta) was made:

"When installing with the generic network install image, interactively selecting a package set other than the default must work."

[1] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-02-26/f40-blocker-review.2024-02-26-17.01.log.html

--- Additional comment from Orion Poplawski on 2024-02-27 15:43:53 CET ---

Okay, alerting cyrus-imapd and postfix to remove mail from their sysusers setups.

--- Additional comment from Martin Osvald 🛹 on 2024-02-27 16:38:34 CET ---

Regarding the cyrus-imapd, not sure why I ended up creating the mail group by that line at that time (I guess didn't realize it was already in /etc/group provided by setup), it was part of systemd sysusers switch change:

commit: https://src.fedoraproject.org/rpms/cyrus-imapd/c/6b9850d1a9e56db03f5be62dfe1776fa2f1cb864
~~~
g     mail     12
~~~

Also didn't foresee this could create such a dependency loop. :/

--- Additional comment from Fedora Update System on 2024-02-27 17:14:29 CET ---

FEDORA-2024-ce1fb5a0db (postfix-3.8.5-4.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-ce1fb5a0db

Comment 2 Fedora Update System 2024-02-27 16:36:42 UTC
FEDORA-2024-30bbc29425 (cyrus-imapd-3.8.1-10.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-30bbc29425

Comment 3 Fedora Update System 2024-02-27 16:59:43 UTC
FEDORA-2024-682d6680ce (cyrus-imapd-3.8.1-10.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-682d6680ce

Comment 4 Fedora Update System 2024-02-28 22:41:01 UTC
FEDORA-2024-682d6680ce has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-682d6680ce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-682d6680ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-02-29 04:50:18 UTC
FEDORA-2024-30bbc29425 (cyrus-imapd-3.8.1-10.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Adam Williamson 2024-02-29 05:55:49 UTC
This is an F40 Beta blocker, the Rawhide update can't be considered to fix it.

Comment 7 Ian Laurie 2024-02-29 08:18:29 UTC
Looking at the package list here:

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20240229.n.0/compose/Everything/x86_64/os/Packages/

It looks to me like the fixes are in the compose:

Fedora-Everything-netinst-x86_64-Rawhide-20240229.n.0.iso

However this ISO image produces the exact same fault as the original BUG#2244744

My Install was like this:

Left side - Xfce Desktop

Right Side:
Applications for the Xfce Desktop
Multimedia Support for Xfce
Administration Tools
C Development Tools and Libraries
Development Tools
LibreOffice
RPM Development Tools
System Tools

I created a root and user account from the start, and I'm using the whole virtual drive with default setup.

Comment 8 Ian Laurie 2024-02-29 09:47:36 UTC
OK so the fault may be with another rpm.  I did an install of "Xfce Desktop" with nothing selected from the right side (even unchecking the ones on by default).  That worked.

I then did installs progressively adding items from the right side (not exactly in the order listed above).  The combination:

  Applications for the Xfce Desktop
  Multimedia Support for Xfce
  Administration Tools

Worked.  However the combination:

  Applications for the Xfce Desktop
  Multimedia Support for Xfce
  Administration Tools
  System Tools

Failed.

I'm going to do a test with everything selected from Comment#7 except "System Tools".

Comment 9 Petr Pisar 2024-02-29 10:16:05 UTC
(In reply to Ian Laurie from comment #8)
> I'm going to do a test with everything selected from Comment#7 except
> "System Tools".

Installing "System Tools" group is enough. It's an RPM loop among others:

  Installing       : bash-5.2.26-3.fc40.x86_64                                                                                                                                                             92/372
  Running scriptlet: bash-5.2.26-3.fc40.x86_64                                                                                                                                                             92/372
  Installing       : dbus-common-1:1.14.10-3.fc40.noarch                                                                                                                                                   93/372
  Running scriptlet: dbus-common-1:1.14.10-3.fc40.noarch                                                                                                                                                   93/372
error: failed to exec scriptlet interpreter /bin/sh: No such file or directory
warning: %post(dbus-common-1:1.14.10-3.fc40.noarch) scriptlet failed, exit status 127

Error in POSTIN scriptlet in rpm package dbus-common

Comment 10 Ian Laurie 2024-02-29 10:17:25 UTC
Doing an install with everything as per Comment#7 with the exception "System Tools" was left out worked.

As a sanity test, I did an installation with everything on the right side deselected except for "System Tools" and that failed.

So it really looks like something in the "System Tools" item is causing the problem.

Yep as per Comment#9.

Comment 11 Panu Matilainen 2024-02-29 12:07:54 UTC
There are any number of dependency loops in the distro at any given point, so there can be any number of similar issues at at the same time - like we're seeing here. 

There's a whole loops galore when installing "System Tools" group. I didn't look closer but "SCC #8: 121 members (21 external dependencies)" is almost certainly where the problem lies.

warning: 8 Strongly Connected Components
warning: SCC #1: 3 members (31 external dependencies)
warning: 	samba-client-libs-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 		-> samba-common-libs-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 		-> libwbclient-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 	samba-common-libs-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 		-> libwbclient-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 		-> samba-client-libs-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 	libwbclient-2:4.20.0-0.4.rc3.fc41.x86_64
warning: 		-> samba-client-libs-2:4.20.0-0.4.rc3.fc41.x86_64
warning: SCC #2: 2 members (5 external dependencies)
warning: 	kernel-core-6.8.0-0.rc6.20240227git45ec2f5f6ed3.50.fc41.x86_64
warning: 		-> kernel-modules-core-6.8.0-0.rc6.20240227git45ec2f5f6ed3.50.fc41.x86_64
warning: 	kernel-modules-core-6.8.0-0.rc6.20240227git45ec2f5f6ed3.50.fc41.x86_64
warning: 		-> kernel-core-6.8.0-0.rc6.20240227git45ec2f5f6ed3.50.fc41.x86_64
warning: SCC #3: 57 members (22 external dependencies)
warning: 	perl-IO-Socket-SSL-2.085-1.fc40.noarch
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-URI-5.27-1.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-Net-SSLeay-1.94-3.fc40.x86_64
warning: 		-> perl-IO-Socket-IP-0.42-2.fc40.noarch
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-HTTP-Tiny-0.088-5.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-libnet-3.15-503.fc40.noarch
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-IO-Socket-SSL-2.085-1.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Time-Local-2:1.350-5.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-IO-Socket-IP-0.42-2.fc40.noarch
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-FileHandle-0:2.05-506.fc40.noarch
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Digest-MD5-2.59-3.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-URI-5.27-1.fc40.noarch
warning: 		-> perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-base-0:2.27-506.fc40.noarch
warning: 		-> perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 		-> perl-libnet-3.15-503.fc40.noarch
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-Data-Dumper-2.188-503.fc40.x86_64
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-HTTP-Tiny-0.088-5.fc40.noarch
warning: 		-> perl-IO-Socket-IP-0.42-2.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Time-Local-2:1.350-5.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-Net-SSLeay-1.94-3.fc40.x86_64
warning: 		-> perl-Mozilla-CA-20231213-3.fc40.noarch
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-IO-Socket-SSL-2.085-1.fc40.noarch
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Pod-Perldoc-3.28.01-503.fc40.noarch
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-Text-ParseWords-3.31-502.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Pod-Simple-1:3.45-6.fc40.noarch
warning: 		-> perl-podlators-1:5.01-502.fc40.noarch
warning: 		-> perl-IPC-Open3-0:1.22-506.fc40.noarch
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-HTTP-Tiny-0.088-5.fc40.noarch
warning: 		-> perl-File-Temp-1:0.231.100-503.fc40.noarch
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-interpreter-4:5.38.2-506.fc40.x86_64
warning: 	perl-Pod-Usage-4:2.03-503.fc40.noarch
warning: 		-> perl-Pod-Perldoc-3.28.01-503.fc40.noarch
warning: 		-> perl-podlators-1:5.01-502.fc40.noarch
warning: 		-> perl-Getopt-Long-1:2.57-3.fc40.noarch
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-interpreter-4:5.38.2-506.fc40.x86_64
warning: 	perl-Getopt-Long-1:2.57-3.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-base-0:2.27-506.fc40.noarch
warning: 		-> perl-Text-ParseWords-3.31-502.fc40.noarch
warning: 		-> perl-Pod-Usage-4:2.03-503.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Storable-1:3.32-502.fc40.x86_64
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-Getopt-Std-0:1.13-506.fc40.noarch
warning: 		-> perl-Getopt-Long-1:2.57-3.fc40.noarch
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-interpreter-4:5.38.2-506.fc40.x86_64
warning: 	perl-Pod-Simple-1:3.45-6.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-if-0:0.61.000-506.fc40.noarch
warning: 		-> perl-Text-Tabs+Wrap-2023.0511-5.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Pod-Escapes-1:1.07-503.fc40.noarch
warning: 		-> perl-Getopt-Long-1:2.57-3.fc40.noarch
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-podlators-1:5.01-502.fc40.noarch
warning: 		-> perl-Term-Cap-1.18-503.fc40.noarch
warning: 		-> perl-Term-ANSIColor-5.01-504.fc40.noarch
warning: 		-> perl-Pod-Usage-4:2.03-503.fc40.noarch
warning: 		-> perl-Pod-Simple-1:3.45-6.fc40.noarch
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-Getopt-Long-1:2.57-3.fc40.noarch
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-interpreter-4:5.38.2-506.fc40.x86_64
warning: 	perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Encode-4:3.20-504.fc41.x86_64
warning: 		-> perl-DynaLoader-0:1.54-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-interpreter-4:5.38.2-506.fc40.x86_64
warning: 		=> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-SelectSaver-0:1.02-506.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-SelectSaver-0:1.02-506.fc40.noarch
warning: 		-> perl-File-stat-0:1.13-506.fc40.noarch
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Storable-1:3.32-502.fc40.x86_64
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-IPC-Open3-0:1.22-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-IO-Socket-IP-0.42-2.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-base-0:2.27-506.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-File-Temp-1:0.231.100-503.fc40.noarch
warning: 		-> perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-File-Path-2.18-503.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-FileHandle-0:2.05-506.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-IO-0:1.52-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-base-0:2.27-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-DynaLoader-0:1.54-506.fc40.x86_64
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Pod-Escapes-1:1.07-503.fc40.noarch
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-File-Path-2.18-503.fc40.noarch
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Net-SSLeay-1.94-3.fc40.x86_64
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-AutoLoader-0:5.74-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Term-Cap-1.18-503.fc40.noarch
warning: 		-> perl-vars-0:1.05-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Data-Dumper-2.188-503.fc40.x86_64
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-B-0:1.88-506.fc40.x86_64
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-B-0:1.88-506.fc40.x86_64
warning: 		-> perl-overloading-0:0.02-506.fc40.noarch
warning: 		-> perl-if-0:0.61.000-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Data-Dumper-2.188-503.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-File-stat-0:1.13-506.fc40.noarch
warning: 		-> perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Class-Struct-0:0.68-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Class-Struct-0:0.68-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-File-Basename-0:2.86-506.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Getopt-Std-0:1.13-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 	perl-Text-ParseWords-3.31-502.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Digest-MD5-2.59-3.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Digest-1.20-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-overload-0:1.37-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-overloading-0:0.02-506.fc40.noarch
warning: 		-> perl-mro-0:1.28-506.fc40.x86_64
warning: 		-> perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 	perl-PathTools-3.89-502.fc40.x86_64
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Scalar-List-Utils-5:1.63-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Mozilla-CA-20231213-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-PathTools-3.89-502.fc40.x86_64
warning: 	perl-Time-Local-2:1.350-5.fc40.noarch
warning: 		-> perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Errno-0:1.37-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Socket-4:2.037-5.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Term-ANSIColor-5.01-504.fc40.noarch
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-locale-0:1.10-506.fc40.noarch
warning: 		-> perl-Fcntl-0:1.15-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-locale-0:1.10-506.fc40.noarch
warning: 		-> perl-POSIX-0:2.13-506.fc40.x86_64
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-Text-Tabs+Wrap-2023.0511-5.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 	perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 	perl-overloading-0:0.02-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-AutoLoader-0:5.74-506.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-constant-1.33-503.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Digest-1.20-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-Carp-1.54-502.fc40.noarch
warning: 	perl-MIME-Base64-3.16-503.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-Symbol-0:1.09-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 		-> perl-Exporter-5.78-3.fc40.noarch
warning: 	perl-if-0:0.61.000-506.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-mro-0:1.28-506.fc40.x86_64
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: 	perl-parent-1:0.241-502.fc40.noarch
warning: 		-> perl-libs-4:5.38.2-506.fc40.x86_64
warning: SCC #4: 2 members (14 external dependencies)
warning: 	nss-sysinit-3.98.0-1.fc41.x86_64
warning: 		-> nss-3.98.0-1.fc41.x86_64
warning: 	nss-3.98.0-1.fc41.x86_64
warning: 		-> nss-sysinit-3.98.0-1.fc41.x86_64
warning: SCC #5: 4 members (26 external dependencies)
warning: 	fontconfig-2.15.0-4.fc40.x86_64
warning: 		=> freetype-2.13.2-5.fc40.x86_64
warning: 	cairo-1.18.0-3.fc40.x86_64
warning: 		-> freetype-2.13.2-5.fc40.x86_64
warning: 		-> fontconfig-2.15.0-4.fc40.x86_64
warning: 	harfbuzz-8.3.0-5.fc40.x86_64
warning: 		-> freetype-2.13.2-5.fc40.x86_64
warning: 		-> cairo-1.18.0-3.fc40.x86_64
warning: 	freetype-2.13.2-5.fc40.x86_64
warning: 		-> harfbuzz-8.3.0-5.fc40.x86_64
warning: SCC #6: 2 members (15 external dependencies)
warning: 	mesa-libGL-24.0.0-2.fc40.x86_64
warning: 		-> libglvnd-glx-1:1.7.0-4.fc40.x86_64
warning: 	libglvnd-glx-1:1.7.0-4.fc40.x86_64
warning: 		-> mesa-libGL-24.0.0-2.fc40.x86_64
warning: SCC #7: 2 members (7 external dependencies)
warning: 	apr-util-1.6.3-16.fc40.x86_64
warning: 		-> apr-util-lmdb-1.6.3-16.fc40.x86_64
warning: 	apr-util-lmdb-1.6.3-16.fc40.x86_64
warning: 		-> apr-util-1.6.3-16.fc40.x86_64
warning: SCC #8: 121 members (21 external dependencies)
warning: 	fedora-repos-41-0.1.noarch
warning: 		-> fedora-release-41-0.5.noarch
warning: 		-> fedora-repos-rawhide-41-0.1.noarch
warning: 		-> fedora-gpg-keys-41-0.1.noarch
warning: 	fedora-repos-rawhide-41-0.1.noarch
warning: 		-> fedora-repos-41-0.1.noarch
warning: 	fedora-release-common-41-0.5.noarch
warning: 		-> fedora-repos-41-0.1.noarch
warning: 		-> fedora-release-41-0.5.noarch
warning: 	fedora-release-41-0.5.noarch
warning: 		-> fedora-release-common-41-0.5.noarch
warning: 	setup-2.14.5-2.fc40.noarch
warning: 		-> fedora-release-41-0.5.noarch
warning: 	basesystem-11-20.fc40.noarch
warning: 		=> setup-2.14.5-2.fc40.noarch
warning: 		=> filesystem-3.18-8.fc40.x86_64
warning: 	glibc-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-minimal-langpack-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-common-2.39.9000-3.fc41.x86_64
warning: 		=> basesystem-11-20.fc40.noarch
warning: 		-> glibc-gconv-extra-2.39.9000-3.fc41.x86_64
warning: 	gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	gdbm-1:1.23-6.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 	pam-1.6.0-2.fc41.x86_64
warning: 		-> setup-2.14.5-2.fc40.noarch
warning: 		-> libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> gdbm-1:1.23-6.fc40.x86_64
warning: 		-> authselect-1.5.0-4.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	util-linux-2.40-0.9.rc1.fc41.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> util-linux-core-2.40-0.9.rc1.fc41.x86_64
warning: 		-> pam-1.6.0-2.fc41.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libutempter-1.2.1-13.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libsmartcols-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libfdisk-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> authselect-libs-1.5.0-4.fc41.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	systemd-255.3-1.fc40.x86_64
warning: 		-> libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> elfutils-libelf-0.190-6.fc40.x86_64
warning: 		-> cryptsetup-libs-2.7.0-2.fc40.x86_64
warning: 		-> libbpf-2:1.2.0-3.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		-> systemd-pam-255.3-1.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libseccomp-2.5.3-8.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc41.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> kmod-libs-31-5.fc40.x86_64
warning: 		-> libfdisk-2.40-0.9.rc1.fc41.x86_64
warning: 		=> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		=> grep-3.11-7.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> dbus-1:1.14.10-3.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 		-> util-linux-2.40-0.9.rc1.fc41.x86_64
warning: 		-> util-linux-core-2.40-0.9.rc1.fc41.x86_64
warning: 	device-mapper-1.02.197-1.fc40.x86_64
warning: 		-> util-linux-core-2.40-0.9.rc1.fc41.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> device-mapper-libs-1.02.197-1.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	device-mapper-libs-1.02.197-1.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> device-mapper-1.02.197-1.fc40.x86_64
warning: 	cryptsetup-libs-2.7.0-2.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> json-c-0.17-3.fc40.x86_64
warning: 		-> device-mapper-libs-1.02.197-1.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 	authselect-libs-1.5.0-4.fc41.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 	authselect-1.5.0-4.fc41.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> authselect-libs-1.5.0-4.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	systemd-pam-255.3-1.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	postfix-2:3.8.5-3.fc40.x86_64
warning: 		=> systemd-255.3-1.fc40.x86_64
warning: 		-> policycoreutils-3.6-3.fc40.x86_64
warning: 		-> cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> libicu-74.2-1.fc40.x86_64
warning: 		-> libdb-5.3.28-61.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		=> hostname-3.23-12.fc40.x86_64
warning: 		-> findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		=> alternatives-1.26-3.fc40.x86_64
warning: 		=> openssl-1:3.2.1-2.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	filesystem-3.18-8.fc40.x86_64
warning: 		-> postfix-2:3.8.5-3.fc40.x86_64
warning: 		=> setup-2.14.5-2.fc40.noarch
warning: 	gawk-5.3.0-3.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> mpfr-4.2.1-3.fc40.x86_64
warning: 		-> gmp-1:6.3.0-1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> libverto-0.3.2-8.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> keyutils-libs-1.6.3-3.fc40.x86_64
warning: 		-> gawk-5.3.0-3.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		-> crypto-policies-20240201-1.git9f501f3.fc40.noarch
warning: 	libcurl-8.6.0-7.fc41.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libssh-0.10.6-4.fc40.x86_64
warning: 		-> libpsl-0.21.5-3.fc40.x86_64
warning: 		-> libnghttp2-1.59.0-2.fc40.x86_64
warning: 		-> openldap-2.6.7-1.fc40.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libbrotli-1.1.0-3.fc40.x86_64
warning: 	curl-8.6.0-7.fc41.x86_64
warning: 		-> libcurl-8.6.0-7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	rpm-4.19.1.1-1.fc40.x86_64
warning: 		=> sed-4.9-1.fc40.x86_64
warning: 		-> rpm-libs-4.19.1.1-1.fc40.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libarchive-3.7.2-3.fc40.x86_64
warning: 		=> findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> curl-8.6.0-7.fc41.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	policycoreutils-3.6-3.fc40.x86_64
warning: 		-> util-linux-2.40-0.9.rc1.fc41.x86_64
warning: 		-> sed-4.9-1.fc40.x86_64
warning: 		-> rpm-4.19.1.1-1.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libsemanage-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libselinux-utils-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> grep-3.11-7.fc40.x86_64
warning: 		-> gawk-5.3.0-3.fc40.x86_64
warning: 		-> diffutils-3.10-5.fc40.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	libssh-0.10.6-4.fc40.x86_64
warning: 		-> crypto-policies-20240201-1.git9f501f3.fc40.noarch
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> krb5-libs-1.21.2-5.fc40.x86_64
warning: 		-> libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	python3-libs-3.12.2-2.fc41.x86_64
warning: 		-> python3-3.12.2-2.fc41.x86_64
warning: 		-> python-pip-wheel-23.3.2-1.fc40.noarch
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> sqlite-libs-3.45.1-2.fc40.x86_64
warning: 		-> readline-8.2-8.fc40.x86_64
warning: 		-> libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> mpdecimal-2.5.1-9.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> libffi-3.4.4-7.fc40.x86_64
warning: 		-> expat-2.6.0-1.fc41.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libb2-0.98.1-11.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	python3-3.12.2-2.fc41.x86_64
warning: 		-> python3-libs-3.12.2-2.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	crypto-policies-scripts-20240201-1.git9f501f3.fc40.noarch
warning: 		-> crypto-policies-20240201-1.git9f501f3.fc40.noarch
warning: 		-> python3-3.12.2-2.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	crypto-policies-20240201-1.git9f501f3.fc40.noarch
warning: 		-> crypto-policies-scripts-20240201-1.git9f501f3.fc40.noarch
warning: 	openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> crypto-policies-20240201-1.git9f501f3.fc40.noarch
warning: 		-> ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch
warning: 	libevent-2.1.12-12.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	openldap-2.6.7-1.fc40.x86_64
warning: 		-> cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> libtool-ltdl-2.4.7-10.fc40.x86_64
warning: 		-> libevent-2.1.12-12.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	kmod-libs-31-5.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	rpm-sequoia-1.6.0-2.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	rpm-libs-4.19.1.1-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> sqlite-libs-3.45.1-2.fc40.x86_64
warning: 		-> rpm-sequoia-1.6.0-2.fc40.x86_64
warning: 		-> popt-1.19-6.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lua-libs-5.4.6-5.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	openssl-1:3.2.1-2.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	coreutils-9.4-6.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> gmp-1:6.3.0-1.fc41.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch
warning: 		=> sed-4.9-1.fc40.x86_64
warning: 		=> p11-kit-trust-0.25.3-4.fc40.x86_64
warning: 		=> p11-kit-0.25.3-4.fc40.x86_64
warning: 		=> grep-3.11-7.fc40.x86_64
warning: 		=> coreutils-9.4-6.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	python-pip-wheel-23.3.2-1.fc40.noarch
warning: 		-> ca-certificates-2023.2.62_v7.0.401-6.fc40.noarch
warning: 	gzip-1.13-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> coreutils-9.4-6.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	cracklib-2.9.11-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> gzip-1.13-1.fc40.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	libpwquality-1.4.5-9.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> cracklib-2.9.11-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libarchive-3.7.2-3.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> libxml2-2.12.5-1.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> openssl-libs-1:3.2.1-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	libnsl2-2.0.1-1.fc40.x86_64
warning: 		-> libtirpc-1.3.4-1.rc2.fc40.2.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	bash-5.2.26-3.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 	grep-3.11-7.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	p11-kit-trust-0.25.3-4.fc40.x86_64
warning: 		-> libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> p11-kit-0.25.3-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		=> alternatives-1.26-3.fc40.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	dbus-common-1:1.14.10-3.fc40.noarch
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	dbus-broker-35-4.fc40.x86_64
warning: 		=> shadow-utils-2:4.15.0rc2-1.fc41.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> expat-2.6.0-1.fc41.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 		-> dbus-common-1:1.14.10-3.fc40.noarch
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	dbus-1:1.14.10-3.fc40.x86_64
warning: 		-> dbus-broker-35-4.fc40.x86_64
warning: 	libutempter-1.2.1-13.fc40.x86_64
warning: 		-> systemd-255.3-1.fc40.x86_64
warning: 		=> shadow-utils-2:4.15.0rc2-1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	hostname-3.23-12.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		=> bash-5.2.26-3.fc40.x86_64
warning: 	glibc-common-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> bash-5.2.26-3.fc40.x86_64
warning: 	glibc-gconv-extra-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-common-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	glibc-minimal-langpack-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-common-2.39.9000-3.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	fedora-gpg-keys-41-0.1.noarch
warning: 		-> filesystem-3.18-8.fc40.x86_64
warning: 	cyrus-sasl-lib-2.1.28-19.fc40.x86_64
warning: 		-> gdbm-libs-1:1.23-6.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libeconf-0.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	shadow-utils-2:4.15.0rc2-1.fc41.x86_64
warning: 		-> setup-2.14.5-2.fc40.noarch
warning: 		-> libsemanage-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> libeconf-0.5.2-3.fc40.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	libcap-2.69-3.fc40.x86_64
warning: 		-> pam-libs-1.6.0-2.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> libcap-2.69-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	util-linux-core-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> systemd-libs-255.3-1.fc40.x86_64
warning: 		-> libsmartcols-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> libmount-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 	readline-8.2-8.fc40.x86_64
warning: 		-> ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	mpdecimal-2.5.1-9.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libxcrypt-4.4.36-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	findutils-1:4.9.0-8.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libidn2-2.3.7-1.fc40.x86_64
warning: 		-> libunistring-1.1-7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libpsl-0.21.5-3.fc40.x86_64
warning: 		-> libunistring-1.1-7.fc41.x86_64
warning: 		-> libidn2-2.3.7-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	sed-4.9-1.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libacl-2.3.2-1.fc40.x86_64
warning: 	libgomp-14.0.1-0.7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libb2-0.98.1-11.fc40.x86_64
warning: 		-> libgomp-14.0.1-0.7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libsepol-3.6-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libselinux-utils-3.6-4.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libsemanage-3.6-3.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> audit-libs-4.0-8.fc40.x86_64
warning: 	libselinux-3.6-4.fc40.x86_64
warning: 		-> libsepol-3.6-3.fc40.x86_64
warning: 		-> pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libmount-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libselinux-3.6-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 	mpfr-4.2.1-3.fc40.x86_64
warning: 		-> gmp-1:6.3.0-1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	alternatives-1.26-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libunistring-1.1-7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libsmartcols-2.40-0.9.rc1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libacl-2.3.2-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 		-> libattr-2.5.2-3.fc40.x86_64
warning: 	libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	audit-libs-4.0-8.fc40.x86_64
warning: 		-> libcap-ng-0.8.4-4.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libfdisk-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libblkid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> libuuid-2.40-0.9.rc1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libseccomp-2.5.3-8.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libxml2-2.12.5-1.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libbpf-2:1.2.0-3.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> elfutils-libelf-0.190-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	elfutils-libelf-0.190-6.fc40.x86_64
warning: 		-> libzstd-1.5.5-5.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	sqlite-libs-3.45.1-2.fc40.x86_64
warning: 		-> zlib-ng-compat-2.1.6-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libattr-2.5.2-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	gmp-1:6.3.0-1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	lz4-libs-1.9.4-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	popt-1.19-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	expat-2.6.0-1.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	ncurses-libs-6.4-12.20240127.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libverto-0.3.2-8.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	bzip2-libs-1.0.8-18.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libnghttp2-1.59.0-2.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libstdc++-14.0.1-0.7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libicu-74.2-1.fc40.x86_64
warning: 		-> libstdc++-14.0.1-0.7.fc41.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libffi-3.4.4-7.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	p11-kit-0.25.3-4.fc40.x86_64
warning: 		-> libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> libffi-3.4.4-7.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libzstd-1.5.5-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libtasn1-4.19.0-6.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	pcre2-10.42-2.fc40.2.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libcom_err-1.47.0-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	json-c-0.17-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	lua-libs-5.4.6-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	keyutils-libs-1.6.3-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	diffutils-3.10-5.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libdb-5.3.28-61.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libtool-ltdl-2.4.7-10.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	libbrotli-1.1.0-3.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64
warning: 	xz-libs-5.4.6-1.fc40.x86_64
warning: 		-> glibc-2.39.9000-3.fc41.x86_64

FWIW, the above can be produced with something like:
# dnf --installroot=/srv/test --disablerepo="*" --enablerepo=rawhide --downloadonly groupinstall "System Tools"
# rpm -Uv --deploops --test --root /srv/test/ $(find /srv/test/var/cache/dnf/ -name "*.rpm")

Comment 12 Orion Poplawski 2024-02-29 15:40:13 UTC
Ian - what's the actual error that you are seeing?  I can't reproduce with 'System Tools' using rawhide+koji repos. For me on my rawhide box:

dnf --releasever=40 --disablerepo=rawhide\* --enablerepo=fedora,updates --installroot=/srv/test -y groupinstall 'System Tools' -> fails with error: failed to exec scriptlet interpreter /bin/sh: No such file or directory

dnf --releasever=40 --disablerepo=rawhide\* --enablerepo=fedora,updates,updates-testing --installroot=/srv/test -y groupinstall 'System Tools' -> succeeds

dnf --installroot=/srv/test -y groupinstall 'System Tools' -> succeeds

which leads me to conclude that the problem has been resolved with the updates in F40 updates-testing.  Yes there still are deploops and perhaps some should be investigated more, but rpm seems to be able to break them at the appropriate spot to produce a successful install.

Comment 13 Adam Williamson 2024-02-29 16:54:29 UTC
Note there is also a lottery element to testing from network install images. The packages that are installed do not come from the image (it doesn't have any). They come from a remote repository. By default you will get a somewhat-random mirror from the mirror system. At the time a network install image first appears, most of these mirrors won't yet have got the new compose, so if you run a network install you'll probably get packages from the *previous* compose. Over the next several hours, the mirrors will sync to the new compose, and a network install will be more and more likely to get the packages from the same compose as the network install image (until the *next* compose happens, when you'll start getting the packages from the next compose).

To be certain about exactly what package set you're testing, you have to go into INSTALLATION DESTINATION (or use a kickstart) and change the main repo to be the compose location itself - https://kojipkgs.fedoraproject.org/compose/branched/Fedora-40-20240229.n.0/compose/Everything/x86_64/os/ or whatever - instead of using the mirror system.

Comment 14 Ian Laurie 2024-02-29 20:21:27 UTC
(In reply to Orion Poplawski from comment #12)
> Ian - what's the actual error that you are seeing?  I can't reproduce with
> 'System Tools' using rawhide+koji repos. For me on my rawhide box:

Same as before:
===
The following error occurred while installing the payload.  This is a
fatal error and the installation will be aborted.

An error occurred during the transaction: Error in POSTIN scriptlet in
rpm package dbus-common
===

Comment 15 Ian Laurie 2024-02-29 20:27:33 UTC
(In reply to Adam Williamson from comment #13)
> Note there is also a lottery element to testing from network install images.
> The packages that are installed do not come from the image (it doesn't have

This is a really good point that should have been obvious, and is now that you explicitly pointed it out.

Do you feel that the loop inside "System Tools" isn't real once the fixes hit the mirrors?

I can retest Rawhide over the weekend.

Comment 16 Ian Laurie 2024-02-29 21:00:47 UTC
(In reply to Orion Poplawski from comment #12)
> dnf --releasever=40 --disablerepo=rawhide\* --enablerepo=fedora,updates
> --installroot=/srv/test -y groupinstall 'System Tools' -> fails with error:
> failed to exec scriptlet interpreter /bin/sh: No such file or directory
> 
> dnf --releasever=40 --disablerepo=rawhide\*
> --enablerepo=fedora,updates,updates-testing --installroot=/srv/test -y
> groupinstall 'System Tools' -> succeeds

The second command with the updates testing repo worked for me this morning, while the one without did not (ignoring all the /proc/ issues).

I'll wait for my mirrors to catch up and run ISO tests over the weekend.

Comment 17 Fedora Update System 2024-03-01 18:13:35 UTC
FEDORA-2024-682d6680ce (cyrus-imapd-3.8.1-10.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.